Package Details: k9copy 3.0.3-4

Git Clone URL: https://aur.archlinux.org/k9copy.git (read-only, click to copy)
Package Base: k9copy
Description: A small utility to copy DVD
Upstream URL: http://sourceforge.net/projects/k9copy-reloaded/
Licenses: GPL
Conflicts: k9copy-frameworks, k9copy-kde4
Provides: k9copy-reloaded
Submitter: twa022
Maintainer: twa022
Last Packager: twa022
Votes: 13
Popularity: 0.000000
First Submitted: 2017-01-05 16:09 (UTC)
Last Updated: 2022-05-23 00:50 (UTC)

Latest Comments

1 2 Next › Last »

twa022 commented on 2022-05-24 19:10 (UTC)

@kde35: I think all the compilation issues are resolved. Needs to use ffmpeg < 5, and took some mucking about with the cmake scripts to get it to actually use the right version.

Works for me but let me know if there are still issues.

kde35 commented on 2022-04-13 09:16 (UTC)

Doesn't compile (I have both appstream-qt and phonon-qt5), I get following [code]make[2]: [CMakeFiles/k9copy.dir/build.make:188: CMakeFiles/k9copy.dir/k9copy_autogen/mocs_compilation.cpp.o] Error 1 make[1]: [CMakeFiles/Makefile2:930: CMakeFiles/k9copy.dir/all] Error 2 make: *** [Makefile:166: all] Error 2 ==> ERROR: A failure occurred in build(). Aborting...

[/code]

alerque commented on 2021-11-24 00:38 (UTC)

Still missing appstream-qt ... you can confirm this pretty easily by trying to build with extra-x86_64-build which automatically sets up a chroot and runs makechrootpkg for you.

alerque commented on 2021-11-20 22:42 (UTC)

This is missing two dependencies to compile in a clean chroot:

  • appstream-qt
  • phonon-qt5

LutirsOnBall commented on 2019-07-12 03:35 (UTC)

I needed to install Phonon-qt5 package before makepkg.

wchouser3 commented on 2019-02-02 07:35 (UTC)

I'm getting the following error:

CMake Error: No source or binary directory provided

will not build

elknose commented on 2019-01-26 19:33 (UTC)

I am running into problems building this from aur. Has anyone a clue? --------------------------------- snip --------------------------- ==> Quellen sind fertig. ==> Erstelle Paket: k9copy 3.0.3-2 (Sa 26 Jan 2019 20:30:22 CET) ==> Prüfe Laufzeit-Abhängigkeiten... ==> Prüfe Buildtime-Abhängigkeiten... ==> WARNUNG: Verwende bestehenden $srcdir/ Baum ==> Beginne build()... CMake Error: No source or binary directory provided ==> FEHLER: Ein Fehler geschah in build(). Breche ab... Error making: k9copy --------------------------------- snap ---------------------------

barbecue commented on 2018-04-22 04:47 (UTC)

By the way, icon theme "breeze" installs with two clicks (the package is available in Manjaro's extras repository), and then the (xfce4-) terminal output (upon typing the command "k9copy") reduces to:

qt5ct: using qt5ct plugin

qt5ct: D-Bus global menu: no

kf5.kxmlgui: KXMLGUI file found at deprecated location ("/usr/share/k9copy/k9copyui.rc") -- please use ${KXMLGUI_INSTALL_DIR} to install this file instead

(k9copy does then open, but it would be friendlier if it opened from the graphical menu, rather than requiring the k9copy command to be typed in the terminal.)

barbecue commented on 2018-03-17 06:33 (UTC)

I have installed k9copy in Manjaro, but it can't start from my start menu. However, it will start if I type "k9copy 3.0.3-1" in the terminal. The output from the (xfce4-)terminal shows a hint as to why k9copy won't start from the start menu:

k9copy 3.0.3-1 qt5ct: using qt5ct plugin Icon theme "breeze" not found. qt5ct: D-Bus global menu: no kf5.kxmlgui: KXMLGUI file found at deprecated location ("/usr/share/k9copy/k9copyui.rc") -- please use ${KXMLGUI_INSTALL_DIR} to install this file instead.

twa022 commented on 2017-07-27 22:16 (UTC)

Adopted pending merge request into k9copy. Please use that package instead.